<template>
    <div class="loan-details-card" :class="{overdue: haveOverdue}">
        <!-- карта, если есть просрочка-->
        <div v-if="haveOverdue">
            <div class="limit overdue">
                <div class="title">Доступный лимит</div>
                <div class="info">0 ₽</div>
            </div>
            <div class="divider"></div>
            <div class="payment">
                <div class="title">Задолженность по графику</div>
                <div class="info">{{currentPay.amount|currency}} ₽</div>
            </div>
            <div class="overdue-amount">
                <span>{{overdueAmount|currency}} ₽</span> задолженность за прошлый период
            </div>
        </div>

        <!-- карта с лимитом и инфо о платеже -->
        <div v-else>
            <div class="limit">
                <div class="title">Доступный лимит</div>
                <div class="info">{{$POS.limit|currency}} ₽</div>
            </div>
            <div class="divider"></div>
            <div class="payment">
                <div class="title">Задолженность по графику</div>
                <div class="info">{{currentPay.amount|currency}} ₽</div>
            </div>
        </div>
    </div>
</template>

<script>
    import PosScheduleMixin from '../mixins/schedule';
	export default {
        name: 'component-pos-loan-details-card',
        mixins: [
        	PosScheduleMixin
        ]
	};
</script>

<style scoped>

</style>
